Available in VPC
Get a list of Cloud DB for PostgreSQL image product codes.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | POST | /vpostgresql/v2/getCloudPostgresqlImageProductList |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code
|
productCode |
String | Optional | Filter by Cloud DB for PostgreSQL image product code.
|
exclusionProductCode |
String | Optional | Filter by excluding Cloud DB for PostgreSQL image product code.
|
generationCode |
String | Optional | Server generation code
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The request example is as follows:
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/getCloudPostgresqlImageProductList
?regionCode=KR' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response body
See ProductList for the response body.
Response status codes
For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) response status codes.
Response example
The response example is as follows:
- If
responseFormatType=json
{
"getCloudPostgresqlImageProductListResponse": {
"totalRows": 4,
"productList": [
{
"productCode": "SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.1313.B050",
"productName": "PostgreSQL 13.13",
"productType": {
"code": "LINUX",
"codeName": "Linux"
},
"productDescription": "CentOS 7.8 with PostgreSQL 13.13",
"infraResourceType": {
"code": "SW",
"codeName": "Software"
},
"baseBlockStorageSize": 53687091200,
"platformType": {
"code": "LNX64",
"codeName": "Linux 64 Bit"
},
"osInformation": "CentOS 7.8 with PostgreSQL 13.13 (64-bit)",
"generationCode": "G2"
},
{
"productCode": "SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.1310.B050",
"productName": "PostgreSQL 13.10",
"productType": {
"code": "LINUX",
"codeName": "Linux"
},
"productDescription": "CentOS 7.8 with PostgreSQL 13.10",
"infraResourceType": {
"code": "SW",
"codeName": "Software"
},
"baseBlockStorageSize": 53687091200,
"platformType": {
"code": "LNX64",
"codeName": "Linux 64 Bit"
},
"osInformation": "CentOS 7.8 with PostgreSQL 13.10 (64-bit)",
"generationCode": "G2"
},
{
"productCode": "SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.137.B050",
"productName": "PostgreSQL 13.7",
"productType": {
"code": "LINUX",
"codeName": "Linux"
},
"productDescription": "CentOS 7.8 with PostgreSQL 13.7",
"infraResourceType": {
"code": "SW",
"codeName": "Software"
},
"baseBlockStorageSize": 53687091200,
"platformType": {
"code": "LNX64",
"codeName": "Linux 64 Bit"
},
"osInformation": "CentOS 7.8 with PostgreSQL 13.7 (64-bit)",
"generationCode": "G2"
},
{
"productCode": "SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.133.B050",
"productName": "PostgreSQL 13.3",
"productType": {
"code": "LINUX",
"codeName": "Linux"
},
"productDescription": "CentOS 7.8 with PostgreSQL 13.3",
"infraResourceType": {
"code": "SW",
"codeName": "Software"
},
"baseBlockStorageSize": 53687091200,
"platformType": {
"code": "LNX64",
"codeName": "Linux 64 Bit"
},
"osInformation": "CentOS 7.8 with PostgreSQL 13.3 (64-bit)",
"generationCode": "G2"
}
],
"requestId": "e1a91bad-****-****-****-1bde372f7541",
"returnCode": "0",
"returnMessage": "success"
}
}
- If
responseFormatType=xml(default)
<?xml version="1.0" encoding="UTF-8"?>
<getCloudPostgresqlImageProductListResponse>
<requestId>e1a91bad-****-****-****-1bde372f7541</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
<totalRows>4</totalRows>
<productList>
<product>
<productCode>SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.1313.B050</productCode>
<productName>PostgreSQL 13.13</productName>
<productType>
<code>LINUX</code>
<codeName>Linux</codeName>
</productType>
<productDescription>CentOS 7.8 with PostgreSQL 13.13</productDescription>
<infraResourceType>
<code>SW</code>
<codeName>Software</codeName>
</infraResourceType>
<baseBlockStorageSize>53687091200</baseBlockStorageSize>
<platformType>
<code>LNX64</code>
<codeName>Linux 64 Bit</codeName>
</platformType>
<osInformation>CentOS 7.8 with PostgreSQL 13.13 (64-bit)</osInformation>
<generationCode>G2</generationCode>
</product>
<product>
<productCode>SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.1310.B050</productCode>
<productName>PostgreSQL 13.10</productName>
<productType>
<code>LINUX</code>
<codeName>Linux</codeName>
</productType>
<productDescription>CentOS 7.8 with PostgreSQL 13.10</productDescription>
<infraResourceType>
<code>SW</code>
<codeName>Software</codeName>
</infraResourceType>
<baseBlockStorageSize>53687091200</baseBlockStorageSize>
<platformType>
<code>LNX64</code>
<codeName>Linux 64 Bit</codeName>
</platformType>
<osInformation>CentOS 7.8 with PostgreSQL 13.10 (64-bit)</osInformation>
<generationCode>G2</generationCode>
</product>
<product>
<productCode>SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.137.B050</productCode>
<productName>PostgreSQL 13.7</productName>
<productType>
<code>LINUX</code>
<codeName>Linux</codeName>
</productType>
<productDescription>CentOS 7.8 with PostgreSQL 13.7</productDescription>
<infraResourceType>
<code>SW</code>
<codeName>Software</codeName>
</infraResourceType>
<baseBlockStorageSize>53687091200</baseBlockStorageSize>
<platformType>
<code>LNX64</code>
<codeName>Linux 64 Bit</codeName>
</platformType>
<osInformation>CentOS 7.8 with PostgreSQL 13.7 (64-bit)</osInformation>
<generationCode>G2</generationCode>
</product>
<product>
<productCode>SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.133.B050</productCode>
<productName>PostgreSQL 13.3</productName>
<productType>
<code>LINUX</code>
<codeName>Linux</codeName>
</productType>
<productDescription>CentOS 7.8 with PostgreSQL 13.3</productDescription>
<infraResourceType>
<code>SW</code>
<codeName>Software</codeName>
</infraResourceType>
<baseBlockStorageSize>53687091200</baseBlockStorageSize>
<platformType>
<code>LNX64</code>
<codeName>Linux 64 Bit</codeName>
</platformType>
<osInformation>CentOS 7.8 with PostgreSQL 13.3 (64-bit)</osInformation>
<generationCode>G2</generationCode>
</product>
</productList>
</getCloudPostgresqlImageProductListResponse>